ConnectionAttributes (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.management.server, class: ConnectionAttributes

Package com.sun.messaging.jms.management.server

# Class ConnectionAttributes

java.lang.Object
com.sun.messaging.jms.management.server.ConnectionAttributes

public class ConnectionAttributes extends Object
Class containing information on connection attributes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLIENT_ID`
  Client ID
  `static final String`
  `CLIENT_PLATFORM`
  Client Platform
  `static final String`
  `CONNECTION_ID`
  Connection ID
  `static final String`
  `CREATION_TIME`
  Creation Timestamp
  `static final String`
  `HOST`
  Connection Host
  `static final String`
  `NUM_CONNECTIONS`
  Number of connections
  `static final String`
  `NUM_CONNECTIONS_OPENED`
  Number of connections created
  `static final String`
  `NUM_CONNECTIONS_REJECTED`
  Number of connections rejected
  `static final String`
  `NUM_CONSUMERS`
  Number of consumers
  `static final String`
  `NUM_PRODUCERS`
  Number of producers
  `static final String`
  `PORT`
  Connection Port
  `static final String`
  `SERVICE_NAME`
  Service name
  `static final String`
  `USER`
  User name.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONNECTION_ID

    public static final String CONNECTION_ID
    Connection ID
    See Also:
      - Constant Field Values

  - ### CLIENT_ID

    public static final String CLIENT_ID
    Client ID
    See Also:
      - Constant Field Values

  - ### CLIENT_PLATFORM

    public static final String CLIENT_PLATFORM
    Client Platform
    See Also:
      - Constant Field Values

  - ### HOST

    public static final String HOST
    Connection Host
    See Also:
      - Constant Field Values

  - ### NUM_CONNECTIONS

    public static final String NUM_CONNECTIONS
    Number of connections
    See Also:
      - Constant Field Values

  - ### NUM_CONNECTIONS_OPENED

    public static final String NUM_CONNECTIONS_OPENED
    Number of connections created
    See Also:
      - Constant Field Values

  - ### NUM_CONNECTIONS_REJECTED

    public static final String NUM_CONNECTIONS_REJECTED
    Number of connections rejected
    See Also:
      - Constant Field Values

  - ### NUM_CONSUMERS

    public static final String NUM_CONSUMERS
    Number of consumers
    See Also:
      - Constant Field Values

  - ### NUM_PRODUCERS

    public static final String NUM_PRODUCERS
    Number of producers
    See Also:
      - Constant Field Values

  - ### PORT

    public static final String PORT
    Connection Port
    See Also:
      - Constant Field Values

  - ### SERVICE_NAME

    public static final String SERVICE_NAME
    Service name
    See Also:
      - Constant Field Values

  - ### CREATION_TIME

    public static final String CREATION_TIME
    Creation Timestamp
    See Also:
      - Constant Field Values

  - ### USER

    public static final String USER
    User name.
    See Also:
      - Constant Field Values